| Exiv2

Loading...
Searching...
No Matches
List of all members
Exiv2::Internal::OrfHeader Class Reference

Olympus ORF header structure. More...

`#include <orfimage_int.hpp>`

Inheritance diagram for Exiv2::Internal::OrfHeader:
[legend]

## Public Member Functions
Creators
| OrfHeader (ByteOrder byteOrder=littleEndian)
| Default constructor.
Manipulators
bool | read (const byte *pData, size_t size) override
| Read the image header from a data buffer. Return false if the data buffer does not contain an image header of the expected format, else true.
Public Member Functions inherited from Exiv2::Internal::TiffHeaderBase
| TiffHeaderBase (uint16_t tag, uint32_t size, ByteOrder byteOrder, uint32_t offset)
| Constructor taking tag, size and default byteOrder and offset.
virtual | ~TiffHeaderBase ()=default
| Virtual destructor.
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order.
virtual void | setOffset (uint32_t offset)
| Set the offset to the start of the root directory.
virtual void | print (std::ostream &os, const std::string &prefix="") const
| Print debug info for the image header to os.
virtual ByteOrder | byteOrder () const
| Return the byte order (little or big endian).
virtual uint32_t | offset () const
| Return the offset to the start of the root directory.
virtual uint32_t | size () const
| Return the size (in bytes) of the image header.
virtual uint16_t | tag () const
| Return the tag value (magic number) which identifies the buffer as TIFF data.
virtual bool | isImageTag (uint16_t tag, IfdId group, const PrimaryGroups *pPrimaryGroups) const
| Return `true` if the Exif tag from group is an image tag.

## Accessors
DataBuf | write () const override
| Return the image header in binary format. The caller owns this data and DataBuf ensures that it will be deleted.

## Detailed Description

Olympus ORF header structure.

## Member Function Documentation

## ◆ read()

bool Exiv2::Internal::OrfHeader::read | ( | const byte * | pData,
|  | size_t | size )
| override virtual

Read the image header from a data buffer. Return false if the data buffer does not contain an image header of the expected format, else true.

Parameters

  pData | Pointer to the data buffer.
  size | Number of bytes in the data buffer.

Returns
  True if the TIFF header was read successfully. False if the data buffer does not contain a valid TIFF header.

Reimplemented from Exiv2::Internal::TiffHeaderBase.

References Exiv2::Internal::TiffHeaderBase::byteOrder(), Exiv2::getULong(), Exiv2::getUShort(), Exiv2::Internal::TiffHeaderBase::setByteOrder(), Exiv2::Internal::TiffHeaderBase::setOffset(), Exiv2::Internal::TiffHeaderBase::size(), and Exiv2::Internal::TiffHeaderBase::tag().

Referenced by Exiv2::isOrfType(), and Exiv2::OrfImage::writeMetadata().

## ◆ write()

DataBuf Exiv2::Internal::OrfHeader::write | ( |  | ) | const
| nodiscard override virtual

Return the image header in binary format. The caller owns this data and DataBuf ensures that it will be deleted.

Returns
  Binary header data.

Reimplemented from Exiv2::Internal::TiffHeaderBase.

References Exiv2::Internal::TiffHeaderBase::byteOrder().

The documentation for this class was generated from the following files:

- orfimage_int.hpp
- orfimage_int.cpp